ipv6calc(8)

NAME

ipv6calc - a small utility written in C to manipulate IPv6 addresses.

SYNOPSIS

ipv6calc [option] <input data>

DESCRIPTION

ipv6calc is a small utility in C to manipulate IPv6 addresses.

This utility is used to extend features on network-functions-ipv6.

OPTIONS

General options :

[--debug | -d <debug value>] : debug value (bitwise like)

[ -q | --quiet ] : be more quiet

Usage with new style options :

[--in <input type>] : specify input  type (default: autodetect)
    We can see available input types to type "ipv6calc --in -?", "ipv6calc --in -h" or "ipv6calc --in --help" .

Available input types :

auto : automatic detection

revnibbles.int : dot separated nibbles reverse, ending with ip6.int.

revnibbles.arpa : dot separated nibbles reverse, ending with ip6.arpa.

bitstring : bitstring labes, ending with ip6.arpa.

ipv6addr : IPv6 address

ipv4addr : IPv4 address

mac : MAC address (48 bits)

base85 : Base-85 string

ifinet6 : Like line in /proc/net/if_inet6

iid+token : Interface identifier and token

ipv6logconv : ipv6logconv (currently not supported)

prefix+mac : IPv6 prefix and a MAC address

For examples and available format options use:
    --in <type> --examples
    [--out <output type>] : specify output type (sometimes: autodetect)

We can see available output types to type "ipv6calc --out -?", "ipv6calc --out -h" or "ipv6calc --out --help".

Available output types :

revnibbles.int : dot separated nibbles reverse, ending with ip6.int.

revnibbles.arpa : dot separated nibbles reverse, ending with ip6.arpa.

bitstring : bitstring labes, ending with ip6.arpa.

ipv6addr : IPv6 address

ipv4addr : IPv4 address

mac : MAC address (48 bits)

eui64 : EUI-64 identifier (64 bits)

base85 : Base-85 string

ifinet6 : Like line in /proc/net/if_inet6

iid : Interface identifier

iid+token : Interface identifier and token

addrtype : Address type

ouitype : OUI (IEEE) type

ipv6addrtype : IPv6 address type

any : any type (currently not supported)

revipv4 : reverse IPv4, ending with in-addr.arpa

For examples and available format options use:
    --out <type> --examples

[--action <action>] : specify action (default: format conversion, sometimes: autodetect)

We can see available action types to type "ipv6calc --action -?", "ipv6calc --action -h" or "ipv6calc --action --help".

Available action types :

auto : Automatic selection of action (default)

geneui64 : Converts a MAC address to an EUI-64 address

conv6to4 : Converts IPv4 address <-> 6to4 IPv6 address (prefix)

genprivacyiid : Generates a privacy interface ID out of a given one and a token

prefixmac2ipv6 : Generates an IPv6 address out of a prefix and a MAC address

[<format option> ...] : specify format options

<input data> [...] : input data.

    For example, "127.0.0.1", "::1".

Other usage :

--showinfo | -i [ --machine_readable | -m ] : show information about input data

--showinfo | -i --show_types : show available types on '-m'

To see old-style option use : --printoldoptions

--printoldoptions :

--addr2ip6_int

--addr_to_ip6int

--addr2ip6_arpa

--addr_to_ip6arpa

--addr_to_bitstring

--addr2compaddr

--addr_to_compressed

--addr2uncompaddr

--addr_to_uncompressed

--addr_to_base85

--base85_to_addr

--mac_to_eui64

--addr2fulluncompaddr

--addr_to_fulluncompressed

--addr2if_inet6

--addr_to_ifinet6

--if_inet62addr

--ifinet6_to_compressed

--eui64_to_privacy

--ipv4_to_6to4addr

--version : print version.

EXAMPLES
To run this program the standard way type:

ipv6calc --showinfo -i -m ::1

ipv6calc --showinfo -m 127.0.0.1

ipv6calc --showinfo --show_types

ipv6calc --ipv4_to_6to4addr 127.0.0.1

ipv6calc --addr_to_uncompressed ::1

AUTHORS

Peter Bieringer <pb@bieringer.de>